Name:           miglayout
Version:        4.2
Release:        %mkrel 1
Summary:        Versatile and flexible Swing layout manager
URL:            http://www.miglayout.com/
License:        BSD
Group:          Development/Java

# Hidden in maven.org labyrinth, so no download URL's
Source0:        miglayout-core-4.2-sources.jar
Source1:        miglayout-swing-4.2-sources.jar

BuildArch:      noarch
BuildRequires:  java-devel

Requires:       java
# We no longer have an examples sub-package, note no provides as the examples
# are no longer packaged, so we do not provide them
Obsoletes:      %{name}-examples < %{version}-%{release}

%description
MiGLayout is a versatile Swing layout manager.  It uses String or
API type-checked constraints to format the layout. MiGLayout can
produce flowing, grid based, absolute (with links), grouped and
docking layouts. MiGLayout is created to be to manually coded layouts
what Matisse/GroupLayout is to IDE supported visual layouts.


%package javadoc
Summary:        Javadocs for MiGLayout

%description javadoc
This package contains the API documentation for MiGLayout.


%prep
%setup -q -c %{name}
unzip -oq %{SOURCE1}


%build
javac -encoding utf8 net/miginfocom/{layout,swing}/*.java

jar cmf META-INF/MANIFEST.MF %{name}-core.jar net/miginfocom/layout/*.class
jar cmf META-INF/MANIFEST.MF %{name}-swing.jar net/miginfocom/swing/*.class
javadoc -Xdoclint:none -d doc net.miginfocom.{layout,swing}


%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_javadocdir}
cp -a %{name}-*.jar %{buildroot}%{_javadir}
cp -a doc %{buildroot}%{_javadocdir}/%{name}


%files
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}



%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 4.2-1.mga6
+ Revision: 981372
- First rebuild of the java stack
- sync package miglayout with fedora (update to 4.2)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0-7.mga5
+ Revision: 743899
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0-6.mga5
+ Revision: 682387
- Mageia 5 Mass Rebuild

* Sat Jan 11 2014 joequant <joequant> 4.0-5.mga4
+ Revision: 566255
- modify location of eclipse-swt jar

* Thu Jan 09 2014 dmorgan <dmorgan> 4.0-4.mga4
+ Revision: 565730
- Fix BuildRequires

* Fri Oct 18 2013 umeabot <umeabot> 4.0-3.mga4
+ Revision: 507929
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.0-2.mga3
+ Revision: 360062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 matteo <matteo> 4.0-1.mga3
+ Revision: 325382
- fixed release
- spec reviewed
- Import Fedora package


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com> - 4.0-1
- Update to latest upstream.
- Removed BuildRoot, clean, defattr, etc.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Eric Smith <eric@brouhaha.com> - 3.7.3.1-1
- initial version
